/// <reference types="react" />
export declare const Tag: import("react").ForwardRefExoticComponent<{
    disabled?: boolean | undefined;
    label?: import("react").ReactNode;
    icon?: import("react").ReactElement<unknown, string | import("react").JSXElementConstructor<any>> | undefined;
    className?: string | undefined;
    onDelete?: ((event: import("react").SyntheticEvent<Element, Event>) => void) | undefined;
    color?: import("./types").TagColor | undefined;
    variant?: import("./types").TagVariant | undefined;
    size?: import("./types").TagSize | undefined;
    startAddon?: import("./types").TagAddon | undefined;
    endAddon?: import("./types").TagAddon | undefined;
    style?: import("react").CSSProperties | undefined;
} & import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>>;
